CVE-2005-4065
CVSS7.5
发布时间 :2005-12-07 06:03:00
修订时间 :2011-03-07 21:27:38
NMCOS    

[原文]SQL injection vulnerability in the search module in Edgewall Trac before 0.9.2 allows remote attackers to execute arbitrary SQL commands via unknown vectors.


[CNNVD]Edgewall Software Trac Search模块远程SQL注入漏洞(CNNVD-200512-142)

        Trac是一款基于WEB的加强型Wiki及问题跟踪管理系统。
        Trac对用户提交给的参数缺少正确充分的过滤,远程攻击者可以利用此漏洞非授权操作数据库。
        Trac的Search模块没有对用户提交q参数数据缺少充分过滤,远程攻击者可以通过在输入数据中插入特定的SQL命令来非授权获取对数据库的访问。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:edgewall_software:trac:0.9
cpe:/a:edgewall_software:trac:0.8.1
cpe:/a:edgewall_software:trac:0.9.1
cpe:/a:edgewall_software:trac:0.8.3
cpe:/a:edgewall_software:trac:0.8.4
cpe:/a:edgewall_software:trac:0.7.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4065
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4065
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-142
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/15720
(PATCH)  BID  15720
http://secunia.com/advisories/17894
(VENDOR_ADVISORY)  SECUNIA  17894
http://lists.edgewall.com/archive/trac/2005-December/005777.html
(PATCH)  MLIST  [Trac] 20051205 SECURITY: Trac 0.9.2 Released
http://www.vupen.com/english/advisories/2005/2766
(UNKNOWN)  VUPEN  ADV-2005-2766
http://projects.edgewall.com/trac/wiki/ChangeLog
(UNKNOWN)  CONFIRM  http://projects.edgewall.com/trac/wiki/ChangeLog
http://www.osvdb.org/21459
(UNKNOWN)  OSVDB  21459
http://www.debian.org/security/2006/dsa-951
(UNKNOWN)  DEBIAN  DSA-951
http://securityreason.com/securityalert/222
(UNKNOWN)  SREASON  222
http://secunia.com/advisories/18555
(UNKNOWN)  SECUNIA  18555

- 漏洞信息

Edgewall Software Trac Search模块远程SQL注入漏洞
高危 SQL注入
2005-12-07 00:00:00 2005-12-07 00:00:00
远程  
        Trac是一款基于WEB的加强型Wiki及问题跟踪管理系统。
        Trac对用户提交给的参数缺少正确充分的过滤,远程攻击者可以利用此漏洞非授权操作数据库。
        Trac的Search模块没有对用户提交q参数数据缺少充分过滤,远程攻击者可以通过在输入数据中插入特定的SQL命令来非授权获取对数据库的访问。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://projects.edgewall.com/trac/

- 漏洞信息

21459
Trac Search Module SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

Trac contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the search module not properly sanitizing user-supplied input to an unspecified variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-12-06 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.9.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Edgewall Software Trac Search Module SQL Injection Vulnerability
Input Validation Error 15720
Yes No
2005-12-05 12:00:00 2006-02-07 08:53:00
The vendor disclosed this vulnerability.

- 受影响的程序版本

Edgewall Software Trac 0.9.1
Edgewall Software Trac 0.9
Edgewall Software Trac 0.8.4
Edgewall Software Trac 0.8.3
Edgewall Software Trac 0.8.1
- Debian Linux 3.1 sparc
- Debian Linux 3.1 s/390
- Debian Linux 3.1 ppc
- Debian Linux 3.1 mipsel
- Debian Linux 3.1 mips
- Debian Linux 3.1 m68k
- Debian Linux 3.1 ia-64
- Debian Linux 3.1 ia-32
- Debian Linux 3.1 hppa
- Debian Linux 3.1 arm
- Debian Linux 3.1 alpha
- Debian Linux 3.1
Edgewall Software Trac 0.7.1
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Edgewall Software Trac 0.9.2
Edgewall Software Trac 0.9.1

- 不受影响的程序版本

Edgewall Software Trac 0.9.2
Edgewall Software Trac 0.9.1

- 漏洞讨论

Trac is prone to an SQL injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input before using it in an SQL query.

Successful exploitation could allow an attacker to compromise the application, access or modify data, or exploit vulnerabilities in the underlying database implementation.

- 漏洞利用

No exploit is required.

The following proof of concept URI is available:
http://www.example.com/trac/search?q=test\'

- 解决方案


Please see the referenced advisories for further information:

- Debian Linux has released security advisory DSA 951-1 to address this issue.
- Debian Linux has released updated security advisory DSA 951-2 addressing this issue.

The vendor has released version 0.9.2 addressing this issue:


Edgewall Software Trac 0.7.1

Edgewall Software Trac 0.8.1

Edgewall Software Trac 0.8.3

Edgewall Software Trac 0.8.4

Edgewall Software Trac 0.9

Edgewall Software Trac 0.9.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站